From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-1100355-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (pigeon.gentoo.org [208.92.234.80])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by finch.gentoo.org (Postfix) with ESMTPS id 51978138334
	for <garchives@archives.gentoo.org>; Thu, 18 Jul 2019 12:04:21 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id 732DBE077F;
	Thu, 18 Jul 2019 12:04:20 +0000 (UTC)
Received: from smtp.gentoo.org (smtp.gentoo.org [IPv6:2001:470:ea4a:1:5054:ff:fec7:86e4])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id 5949AE077F
	for <gentoo-commits@lists.gentoo.org>; Thu, 18 Jul 2019 12:04:20 +0000 (UTC)
Received: from oystercatcher.gentoo.org (unknown [IPv6:2a01:4f8:202:4333:225:90ff:fed9:fc84])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id A8F24347FC4
	for <gentoo-commits@lists.gentoo.org>; Thu, 18 Jul 2019 12:04:18 +0000 (UTC)
Received: from localhost.localdomain (localhost [IPv6:::1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id 2D4A7627
	for <gentoo-commits@lists.gentoo.org>; Thu, 18 Jul 2019 12:04:16 +0000 (UTC)
From: "Louis Sautier" <sbraz@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Louis Sautier" <sbraz@gentoo.org>
Message-ID: <1563451387.17fb1ba9f4bda1d4ccbb99049d57f80cd4a031e5.sbraz@gentoo>
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/flask-babel/
X-VCS-Repository: repo/gentoo
X-VCS-Files: dev-python/flask-babel/flask-babel-0.11.2-r2.ebuild
X-VCS-Directories: dev-python/flask-babel/
X-VCS-Committer: sbraz
X-VCS-Committer-Name: Louis Sautier
X-VCS-Revision: 17fb1ba9f4bda1d4ccbb99049d57f80cd4a031e5
X-VCS-Branch: master
Date: Thu, 18 Jul 2019 12:04:16 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Auto-Response-Suppress: DR, RN, NRN, OOF, AutoReply
X-Archives-Salt: 186b15ed-7c50-4637-a0c2-bf1fe758b8bf
X-Archives-Hash: c69a3be105af6c7569356b2e6981bbc0

commit:     17fb1ba9f4bda1d4ccbb99049d57f80cd4a031e5
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 18 11:59:33 2019 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Thu Jul 18 12:03:07 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=17fb1ba9

dev-python/flask-babel: add Py3.7, fix doc deps, minor fixes

Stop overriding the flask theme and depend on it instead.

Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 .../flask-babel/flask-babel-0.11.2-r2.ebuild       | 55 ++++++++++++++++++++++
 1 file changed, 55 insertions(+)

diff --git a/dev-python/flask-babel/flask-babel-0.11.2-r2.ebuild b/dev-python/flask-babel/flask-babel-0.11.2-r2.ebuild
new file mode 100644
index 00000000000..194980cc413
--- /dev/null
+++ b/dev-python/flask-babel/flask-babel-0.11.2-r2.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( pypy{,3} python{2_7,3_{5,6,7}} )
+
+inherit distutils-r1
+
+MY_PN="Flask-Babel"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="i18n and l10n support for Flask based on Babel and pytz"
+HOMEPAGE="https://pythonhosted.org/Flask-Babel/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+RDEPEND="
+	dev-python/Babel[${PYTHON_USEDEP}]
+	dev-python/flask[${PYTHON_USEDEP}]
+	dev-python/pytz[${PYTHON_USEDEP}]
+	>=dev-python/jinja-2.5[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	doc? (
+		dev-python/flask-sphinx-themes[${PYTHON_USEDEP}]
+		dev-python/sphinx[${PYTHON_USEDEP}]
+	)
+	test? (
+		${RDEPEND}
+		dev-python/nose[${PYTHON_USEDEP}]
+	)
+"
+
+S="${WORKDIR}/${MY_P}"
+
+python_prepare_all() {
+	sed -i -e "s/, 'sphinx.ext.intersphinx'//" docs/conf.py || die
+	distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+	if use doc; then
+		sphinx-build docs docs/_build/html || die
+		HTML_DOCS=( docs/_build/html/. )
+	fi
+}
+
+python_test() {
+	nosetests -v || die "Tests failed under ${EPYTHON}"
+}